Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Body

application/json

Request body for creating a package

name
string
required

Display name of the package.

Minimum string length: 1
Example:

"Engineering Starter Kit"

approval_required
boolean
required

When true, orders created from this package require admin approval before fulfillment.

Example:

false

require_justification
boolean
required

When true, requesters must provide a justification when ordering from this package.

Example:

false

automatic_order
boolean
required

When true, assigning this package to a person can trigger automatic equipment ordering.

Example:

false

delivery_setting
enum<string>
required

Where package equipment should be delivered (for example PERSON or OFFICE).

Available options:
PERSON,
OFFICE,
FLEXIBLE
Example:

"PERSON"

default_office_id
string<uuid>

Default office UUID used when the package delivery setting targets an office.

Example:

"3a68a467-8733-4c8d-a942-16ed7ec33018"

note
string

Optional note shown with the package.

Example:

"Standard package for new engineering hires"

sku_ids
string<uuid>[]

SKU UUIDs included in this package.

rules
object[]

Category quantity rules for the package.

Response

Package created successfully

Response body after creating a package

id
string<uuid>
required

Unique identifier of the package

Example:

"3a68a467-8733-4c8d-a942-16ed7ec33018"

name
string
required

Display name of the package.

Example:

"Engineering Starter Kit"

slug
string
required

URL-safe unique identifier for the package

Example:

"engineering-starter-kit"

active
boolean
required

Whether the package is active

Example:

true

approval_required
boolean
required

When true, orders created from this package require admin approval before fulfillment.

Example:

false

require_justification
boolean
required

When true, requesters must provide a justification when ordering from this package.

Example:

false

automatic_order
boolean
required

When true, assigning this package can trigger automatic equipment ordering.

Example:

false

it_closet
boolean
required

When true, the package is intended for IT closet / office stock.

Example:

false

number_ordered
integer<int32>
required

Count of orders placed against this package

Example:

0

number_deployed
integer<int32>
required

Count of package assignments that have been deployed

Example:

0

delivery_setting
enum<string>

Where package equipment should be delivered

Available options:
PERSON,
OFFICE,
FLEXIBLE
Example:

"PERSON"

note
string

Optional note shown with the package

Example:

"Standard package for new engineering hires"

default_office_id
string<uuid>

Default office UUID when delivery targets an office

Example:

"3a68a467-8733-4c8d-a942-16ed7ec33018"

sku_ids
string<uuid>[]

SKU UUIDs included in this package

rules
object[]

Category quantity rules for the package

created_at
string<date-time>

Timestamp when the package was created

updated_at
string<date-time>

Timestamp when the package was last updated